Skip to main content
POST
/
network
/
ip_lists
/
{ip_list_id}
/
entries
Add Entry to IP List
curl --request POST \
  --url https://api.cloud.onidel.com/network/ip_lists/{ip_list_id}/entries \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "value": "192.168.1.0/24",
  "team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "type": "ipv4"
}
'
{
  "entry": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "ipv4",
    "value": "192.168.1.0/24",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Provide the value as: Token <your-api-token>

Path Parameters

ip_list_id
string<uuid>
required

IP List UUID

Body

application/json
value
string
required

IPv4 or IPv6 address/CIDR. Type is auto-detected.

Example:

"192.168.1.0/24"

team_id
string<uuid>
type
enum<string>

Optional - auto-detected from value if not provided

Available options:
ipv4,
ipv6

Response

Entry added successfully

entry
object